# $Revision: 1.8 $, $Date: 2007/06/30 15:20:51 $
#
# NOTE:	- building is memory consuming (up to c.a. 537MB)
# TODO:	- review -link, version patches
#	- --disable-static doesn't work
#	- install manpages via makefile
#
# Conditional build:
%bcond_without	static_libs # don't pack static liraries
#
Summary:	flite - a small, fast speech synthesis engine
Summary(pl.UTF-8):	flite - mały, szybki silnik syntezy mowy
Summary(ru.UTF-8):	flite - маленькое, быстрое средство для синтеза речи
Name:		flite
Version:	1.2
Release:	3
License:	Custom, see COPYING
Group:		Applications/Sound
Source0:	http://www.speech.cs.cmu.edu/flite/packed/flite-1.2/%{name}-%{version}-release.tar.bz2
# Source0-md5:	24c1576f5b3eb23ecedf4bebde96710f
# ALT Linux patches:
Patch0:		%{name}-link.patch
Patch1:		%{name}-fix-readonly-assignments.patch
# Debian patches:
Patch2:		%{name}-doc.patch
Patch3:		%{name}-version.patch
#
Patch4:		%{name}-DESTDIR.patch
Patch5:		%{name}-fix-audiodriver-setup.patch
Patch6:		%{name}-so_link.patch
URL:		http://cmuflite.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	alsa-lib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Flite - a small, fast speech synthesis engine. It is the latest
addition to the suite of free software synthesis tools including
University of Edinburgh's Festival Speech Synthesis System and
Carnegie Mellon University's FestVox project, tools, scripts and
documentation for building synthetic voices. However, flite itself
does not require either of these systems to compile and run.

%description -l pl.UTF-8
Flite to mały, szybki silnik syntezy mowy. Jest najnowszym dodatkiem
do zestawu wolnodostępnych narzędzi do syntezy zawierającego system
syntezy mowy Festival z University of Edinburgh, projekt FestVox z
Carnegie Mellon University, narzędzia, skrypty i dokumentację
tworzenia głosów syntetycznych. Jednak sam flite nie wymaga żadnego z
tych systemów do skompilowania czy uruchomienia.

%description -l ru.UTF-8
Flite -- маленькое, быстрое средство для синтеза речи. Это последнее
добавление к набору свободного программного обеспечения для синтеза
речи, проекты FestVox и Festival. Однако, сам flite не требует ни
одного из этих пакетов для компиляции и запуска.

%package devel
Summary:	Development files for flite
Summary(pl.UTF-8):	Pliki programistyczne dla flite
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Development files for flite, a small, fast speech synthesis engine.

%description devel -l pl.UTF-8
Pliki programistyczne dla flite - małego, szybkiego silnika syntezy
mowy.

%description devel -l ru.UTF-8
Файлы для разработки с использованием flite - маленького, быстрого
средства для синтеза речи.

%package static
Summary:	Static flite library
Summary(pl.UTF-8):	Statyczna biblioteka flite
Group:		Applications/Sound
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static library for flite, a small, fast speech synthesis engine.

%description static -l pl.UTF-8
Statyczna biblioteka flite - małego, szybkiego silnika syntezy mowy.

%description static -l ru.UTF-8
Статические файлы для разработки с использованием flite - маленького,
быстрого средства для синтеза речи.

%prep
%setup -qn %{name}-%{version}-release
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p0

%build
cp -f /usr/share/automake/config.sub .
%{__autoconf}
%configure \
	--with-audio=oss \
	--enable-shared \
	%{!?with_static_libs:--disable-static} \
	--with-vox=cmu_us_kal16

%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT
# temp. workaround - put manpages in better place and install them via Makefile
install -d $RPM_BUILD_ROOT%{_mandir}/man1

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

install debian/*.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ACKNOWLEDGEMENTS README COPYING doc/html
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%ghost %attr(755,root,root) %{_libdir}/lib*.so.[0-9]
%{_mandir}/man1/*.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: flite.spec,v $
Revision 1.8  2007/06/30 15:20:51  shadzik
- add patch6 (fixes lib64 issues)
- rel 3

Revision 1.7  2007/06/30 13:37:24  twittner
- lib*.so.[0-9] marked as %gost to avoid installation error:
  Failed dependencies:
        /usr/lib/libflite.so.1 is needed by flite-devel-1.2-1 ...
- rel. 2

Revision 1.6  2007/06/30 12:42:20  twittner
- make -j1
- rel. 1 (builds, works - tested on Th@i686)

Revision 1.5  2007/02/12 22:09:09  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:44  baggins
- converted to UTF-8

Revision 1.3  2006/10/06 21:22:54  qboosh
- pl

Revision 1.2  2006/09/14 21:43:37  twittner
- -alsa.patch removed; build with `--with-audio=oss' because emacspeak
  doesn't work correctly when flite is compiled with alsa support
- -fix-audiodriver-setup.patch added - really allow user to override
  autodetection of audio driver
- rel. 0.2

Revision 1.1  2006/09/14 18:52:38  twittner
- new, based on ALT Linux work
